
ChiliProject - Feature # 378: Make a view property for projects and users

Status: Open Priority: Normal
Author: Alf Gaida Category:
Affected version:
Description: * Per project there should be a property project_view or so

* Per user or better per user/project should be an property user_project_view.

Explanation: 
As a projectmanager i have different needs when i look at a project then a programmer or a supporter. As a 
manager i will mostly take a short look at a project or a subproject and like to see the tickets grouped by 
descending priorities sorted per date. As a supporter i would like to have a view the tickets unpriorized in 
descending order, newest on top. (This is not the reality, just a cheap example)

Therefore i define my favorite point of view and save it as my default. This point of view can change per 
project. Today i have to select my pov each time i change the project or subproject. That costs a lot of time, 
breaks my workflow and is annoying. 

History
2011-05-04 11:49 pm - Alf Gaida
- Target version set to 1.4.0

Same error twice - it is not my Day - but here the Feature Request:

It should be possible to define standards for Viewing Tickets - this means, i can create a custom Report with my own Sorting:
# eventually this Report will be my POV for generally (as a user-property)
# it will be nice to have a user-property to eventually override Project-Settings with user settings
# it should be possible to create a project-default view as a project property
# these settings should be inherited to sub-projects as sub-project default, but be changeble and saveable too

Is this possible?

2011-05-05 12:13 pm - Matt Connolly
Alf Gaida wrote:
> Same error twice - it is not my Day - but here the Feature Request:
> 
> It should be possible to define standards for Viewing Tickets - this means, i can create a custom Report with my own Sorting:
> # eventually this Report will be my POV for generally (as a user-property)
> # it will be nice to have a user-property to eventually override Project-Settings with user settings
> # it should be possible to create a project-default view as a project property
> # these settings should be inherited to sub-projects as sub-project default, but be changeble and saveable too
> 
> Is this possible?

How is this different from the current ability to sort issues and save queries including sorting and grouping? Can you explain more clearly, perhaps an 
example of what you would like to see?

2011-05-05 12:45 pm - Alf Gaida
It is different - eventually i can explain it later today or tomorrow, i'm just setting up an new project with a lot of subprojects. This feature would save me 
a few hours a week. But first i have to setup the project to get the datas for an example.

2011-05-06 06:07 pm - Eric Davis
- Target version deleted (1.4.0)

Does anyone know what is this request about? "Sacv" doesn't mean anything to me.

2011-05-06 06:49 pm - Alf Gaida
Eric Davis wrote:
> Does anyone know what is this request about? "Sacv" doesn't mean anything to me.

This is a classical typo. This means nothing to me too. Unfortunally there is no way for me to change the description of *my own* ticket. ;) Can you 
change it to something useful and descriptive?

Topic should be: Feature #378 - Make a view property for projects and users.
* Per project there should be a property project_view or so
* Per user or better per user/project should be an property user_project_view.

Explanation: 
As a projectmanager i have different needs when i look at a project then a programmer or a supporter. As a manager i will mostly take a short look at a 
project or a subproject and like to see the tickets grouped by descending priorities sorted per date. As a supporter i would like to have a view the tickets 
unpriorized in descending order, newest on top. (This is not the reality, just a cheap example)

Therefore i define my favorite point of view and save it as my default. This point of view can change per project. Today i have to select my pov each 
time i change the project or subproject. That costs a lot of time, breaks my workflow and is annoying. 

2011-05-20 03:24 pm - Eric Davis
- Subject changed from Sacv to Make a view property for projects and users

2020-10-25 2/2


